## org.apache.lucene.search.vectorhighlight
Interface BoundaryScanner

All Known Implementing Classes:
  BreakIteratorBoundaryScanner, SimpleBoundaryScanner

    public interface BoundaryScanner

Finds fragment boundaries: pluggable into `BaseFragmentsBuilder`

Method Summary
`int` `findEndOffset(StringBuilder buffer, int start)` Scan forward to find start offset.
`int` `findStartOffset(StringBuilder buffer, int start)` Scan backward to find end offset.

Method Detail

### findStartOffset

    int findStartOffset(StringBuilder buffer,
                        int start)

  Scan backward to find end offset.

  Parameters:
    `buffer` - scanned object
    `start` - start offset to begin
  Returns:
    the found start offset

### findEndOffset

    int findEndOffset(StringBuilder buffer,
                      int start)

  Scan forward to find start offset.

  Parameters:
    `buffer` - scanned object
    `start` - start offset to begin
  Returns:
    the found end offset

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.